List organization payslips
curl --request POST \
--url https://app.toku.com/api/tokuApi/v1/getHrisPayslipsForOrg \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-role-type: <x-role-type>' \
--data '
{
"search": "<string>",
"periodKey": "<string>",
"department": "<string>",
"limit": 100,
"offset": 1
}
'import requests
url = "https://app.toku.com/api/tokuApi/v1/getHrisPayslipsForOrg"
payload = {
"search": "<string>",
"periodKey": "<string>",
"department": "<string>",
"limit": 100,
"offset": 1
}
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-role-type': '<x-role-type>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
search: '<string>',
periodKey: '<string>',
department: '<string>',
limit: 100,
offset: 1
})
};
fetch('https://app.toku.com/api/tokuApi/v1/getHrisPayslipsForOrg', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 123,
"payslips": [
{
"hrisPayslipID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roleInOrgID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payslipDate": "2023-11-07T05:31:56Z",
"payPeriodLabel": "<string>",
"grossAmount": 123,
"deductionsAmount": 123,
"netAmount": 123,
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"employee": {},
"currency": {},
"file": {}
}
],
"dashboardSummary": {
"monthLabel": "<string>",
"totalsByCurrency": [
{}
],
"employeesPaidCount": 123,
"pendingCount": 123
}
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Get Payslips for Org
Returns payslips for the organization with dashboard summary information.
POST
/
getHrisPayslipsForOrg
List organization payslips
Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN Body
application/json
Search term for employee or payslip metadata
Accounting period key in YYYY-MM format
Department filter
Maximum number of payslips to return
Required range:
1 <= x <= 200Offset for pagination
Required range:
x >= 0⌘I
